Package qsardes.descriptor.qsarme

# Class QsarMEExtendedTopochemIndex

java.lang.Object
qsardes.descriptor.DescriptorExtendedTopochemIndex
qsardes.descriptor.qsarme.QsarMEExtendedTopochemIndex

All Implemented Interfaces:
  `Descriptor`

public final class QsarMEExtendedTopochemIndex extends DescriptorExtendedTopochemIndex
Extended topochemical index descriptors (QSAR-ME Profiler 2025).
Calculates extended topochemical index descriptors.
Returns
ETA_Alpha - Sum of alpha values of molecule non-hydrogen vertices.
ETA_AlphaP - Sum of alpha values of molecule non-hydrogen vertices relative to molecular size.
ETA_dAlpha_A - A measure of count of non-hydrogen heteroatoms.
ETA_dAlpha_B - A measure of count of hydrogen bond acceptor atoms and/or polar surface area.
ETA_Epsilon_1, ETA_Epsilon_2, ETA_Epsilon_3, ETA_Epsilon_4, ETA_Epsilon_5 - A measure of electronegative atom count.
ETA_dEpsilon_A - A measure of contribution of unsaturation and electronegative atom count.
ETA_dEpsilon_B - A measure of contribution of unsaturation.
ETA_dEpsilon_C - A measure of contribution of electronegativity.
ETA_dEpsilon_D - A measure of contribution of hydrogen bond donor atoms.
ETA_Psi_1 - A measure of hydrogen bonding propensity of the molecules and/or polar surface area.
ETA_dPsi_A, ETA_dPsi_B - A measure of hydrogen bonding propensity of the molecules.
ETA_Shape_P, ETA_Shape_Y, ETA_Shape_X - Shape index P/Y/X.
ETA_Beta - A measure of electronic features of the molecule.
ETA_BetaP - A measure of electronic features of the molecule relative to molecular size.
ETA_Beta_s - A measure of electronegative atom count of the molecule.
ETA_BetaP_s - A measure of electronegative atom count of the molecule relative to molecular size.
ETA_Beta_ns - A measure of electron-richness of the molecule.
ETA_BetaP_ns - A measure of electron-richness of the molecule relative to molecular size.
ETA_dBeta - A measure of relative unsaturation content.
ETA_dBetaP - A measure of relative unsaturation content relative to molecular size.
ETA_Beta_ns_d - A measure of lone electrons entering into resonance.
ETA_BetaP_ns_d - A measure of lone electrons entering into resonance relative to molecular size.
ETA_Eta - Composite index Eta.
ETA_EtaP - Composite index Eta relative to molecular size.
ETA_Eta_R - Composite index Eta for reference alkane.
ETA_Eta_F - Functionality index EtaF.
ETA_EtaP_F - Functionality index EtaF relative to molecular size.
ETA_Eta_L - Local index Eta_local.
ETA_EtaP_L - Local index Eta_local relative to molecular size.
ETA_Eta_R_L - Local index Eta_local for reference alkane.
ETA_Eta_F_L - Local functionality contribution EtaF_local.
ETA_EtaP_F_L - Local functionality contribution EtaF_local relative to molecular size.
ETA_Eta_B - Branching index EtaB.
ETA_EtaP_B - Branching index EtaB relative to molecular size.
ETA_Eta_B_RC - Branching index EtaB with ring correction.
ETA_EtaP_B_RC - Branching index EtaB, with ring correction, relative to molecular size.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class qsardes.descriptor.DescriptorExtendedTopochemIndex

  `DescriptorExtendedTopochemIndex.Eta`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QsarMEExtendedTopochemIndex()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected double`
  `get_eta_eta_b(int atom_count, double eta_r)`
  `protected void`
  `standardize_nitro_groups()`

  ### Methods inherited from class qsardes.descriptor.DescriptorExtendedTopochemIndex

  `get_descriptor_names, get_descriptor_type, get_descriptor_values, get_mol, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QsarMEExtendedTopochemIndex

    public QsarMEExtendedTopochemIndex()

- ## Method Details

  - ### standardize_nitro_groups

    protected void standardize_nitro_groups()
    Specified by:
      `standardize_nitro_groups` in class `DescriptorExtendedTopochemIndex`

  - ### get_eta_eta_b

    protected double get_eta_eta_b(int atom_count, double eta_r)
    Specified by:
      `get_eta_eta_b` in class `DescriptorExtendedTopochemIndex`